package com.goafanti.patent.service;

import java.text.ParseException;
import java.util.List;

import com.goafanti.common.model.PatentCost;
import com.goafanti.core.mybatis.page.Pagination;
import com.goafanti.patent.bo.PatentApplicationFeeBo;

public interface PatentCostService {

	int updateByPrimaryKeySelective(PatentCost patentCost);

	Pagination<PatentApplicationFeeBo> getApplicationFeeList(String[] patentApplicationDate, Integer locationProvince,
			Integer pNo, Integer pSize) throws ParseException;

	PatentCost insert(PatentCost patentCost);

	PatentCost selectByPrimaryKey(String cid);



}
